-- Version: English (by Cera)
-- Last Update: 9/28/2009
--
-- http://www.wowwiki.com/Spell_power_coefficient
--
-- Spell School Code List
-- 1 - Heal
-- 2 - Holy Damage
-- 3 - Fire Damage
-- 4 - Nature Damage
-- 5 - Frost Damage
-- 6 - Shadow Damage
-- 7 - Arcane Damage

SpellTips.Spells = {};
SpellTips.Talents = {};
SpellTips.SpellsLocal = {};

if (SpellTips.Class == "PRIEST") then
	SpellTips.Spells = {
	{ school = 1,	bonus = 1.5/3.5,	talents = {3,7,10,11},		name = "Binding Heal",		pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {} },
	{ school = 1,	bonus = 1.5/7,	 	talents = {1,3,7,10,11},	name = "Circle of Healing",	pattern = "%d+ to (%d+)",			pattern2 = "for (%d+)",			levels = {56,60,65,70} },
	{ school = 1,	bonus = 1.5/3.5, 	talents = {1,3,7,10},		name = "Desperate Prayer",	pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {18,26,34,42,50,58,66} },
	{ school = 1,	bonus = 1.5/3.5, 	talents = {1,3,7,10},		name = "Divine Hymn",		pattern = "for %d+ to (%d+) every",	pattern2 = "for (%d+) every",	levels = {} },
	{ school = 1,	bonus = 1.5/3.5, 	talents = {3,7,8,10},		name = "Flash Heal",		pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {26,32,38,44,50,56,61,67} },
	{ school = 1,	bonus = 3/3.5,		talents = {3,7,9,10},		name = "Greater Heal",		pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {46,52,58,60,63,68} },
	{ school = 1,	bonus = 3/3.5,		talents = {3,7,10},			name = "Heal",				pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {22,28,34,40} },
	{ school = 1,	bonus = 1,			talents = {},				name = "Lightwell",			pattern = "%d+ to (%d+)",			pattern2 = "restore (%d+)",		levels = {} },
	{ school = 1,	bonus = 0.1,		talents = {1,2,3,4},		name = "Power Word: Shield",	pattern = "to (%d+)",			pattern2 = "absorbing (%d+)",	levels = {12,18,24,30,36,42,48,54,60,65,70} },
	{ school = 1,	bonus = 3/3.5/3,	talents = {3,7,10,11},		name = "Prayer of Healing",	pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {40,50,60,60,68} },
	{ school = 1,	bonus = 1.5/3.5,	talents = {1,3,7,10,11},	name = "Prayer of Mending",	pattern = "for %d+ to (%d+)",		pattern2 = "for (%d+)",			levels = {} },
	{ school = 1,	bonus = 1,			talents = {1,3,5,7,10},		name = "Renew",				pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {14,20,26,32,38,44,50,56,60,65,70} },
	{ school = 2,	bonus = 0.5999,		talents = {3,6},			name = "Holy Fire",			pattern = "to (%d+)",				pattern2 = "cause (%d+)",		levels = {24,30,36,42,48,54,60} },
	{ school = 2,	bonus = 0.2666,		talents = {3,6},			name = "Holy Fire",			pattern = "additional %d+ to (%d+)",pattern2 = "additional (%d+)",	levels = {24,30,36,42,48,54,60} },
	{ school = 2,	bonus = 2.5/3.5,	talents = {3,6},			name = "Smite",				pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {6,14,22,30,38,46,54,61,69} },
	{ school = 6,	bonus = 15/15/2,	talents = {1,3,13,14},		name = "Devouring Plague",	pattern = "to (%d+)",				pattern2 = "causes (%d+)",		levels = {28,36,44,52,60,68} },
	{ school = 6,	bonus = 1.5/3.5,	talents = {3,13,14,15,16},	name = "Mind Blast",		pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {16,22,28,34,40,46,52,58,63,69} },
	{ school = 6,	bonus = 0.45,		talents = {1,3,13,14,15,16},	name = "Mind Flay",		pattern = "to (%d+) Shadow",		pattern2 = "causing (%d+)",		levels = {28,36,44,52,60,68} },
	{ school = 6,	bonus = 5/3.5,		talents = {1,3,13,14,15},	name = "Mind Sear",			pattern = "to (%d+) Shadow",		pattern2 = "causing (%d+)",		levels = {} },
	{ school = 6,	bonus = 1.5/3.5,	talents = {1,3,13,14},		name = "Shadow Word: Death",	pattern = "to (%d+)",			pattern2 = "inflicts (%d+)",	levels = {70} },
	{ school = 6,	bonus = 1,			talents = {1,3,12,13,14},	name = "Shadow Word: Pain",	pattern = "to (%d+)",				pattern2 = "causes (%d+)",		levels = {10,18,26,34,42,50,58,65,70} },
	{ school = 6,	bonus = 2.0,		talents = {3,13,14},		name = "Vampiric Touch",	pattern = "to (%d+) Shadow",		pattern2 = "Causes (%d+)",		levels = {60,70} },

	--Holy Nova gets seperate boosts from +dmg and +healing
	{ school = 2,	bonus = 1.5/3.5/3/2,		talents = {1,3,6},			name = "Holy Nova",			pattern = "causing %d+ to (%d+)",	pattern2 = "causing (%d+)",		levels = {28,36,44,52,60,68} },
	{ school = 1,	bonus = 1.5/3.5/3/2,		talents = {1,3,7,10,11},	name = "Holy Nova",			pattern = "for %d+ to (%d+)",		pattern2 = "for (%d+)",			levels = {28,36,44,52,60,68} },
	{ school = 2,	bonus = 0.23,		talents = {1,3,6},			name = "Penance",			pattern = "causing %d+ to (%d+)",	pattern2 = "causing (%d+)",		levels = {} },
	{ school = 1,	bonus = 1/3.5,		talents = {1,3},			name = "Penance",			pattern = "or %d+ to (%d+)",		pattern2 = "or (%d+)",			levels = {} },
	};

	SpellTips.Talents = {
	{ tree = 1, branch = 2,		coefficient = 0.01 }, -- 1 Twin Disciplines
	{ tree = 1, branch = 5,		coefficient = 0.05 }, -- 2 Improved PW:S
	{ tree = 1, branch = 16,	coefficient = 0.02 }, -- 3 Focused Power
	{ tree = 1, branch = 27,	coefficient = 0.08 }, -- 4 Borrowed Time
	{ tree = 2, branch = 2,		coefficient = 0.05 }, -- 5 Improved Renew
	{ tree = 2, branch = 11,	coefficient = 0.05 }, -- 6 Searing Light
	{ tree = 2, branch = 16,	coefficient = 0.02 }, -- 7 Spiritual Healing
	{ tree = 2, branch = 20,	coefficient = 0.04 }, -- 8 Empowered Healing fheal
	{ tree = 2, branch = 20,	coefficient = 0.08 }, -- 9 Empowered Healing gheal
	{ tree = 2, branch = 24,	coefficient = 0.02 }, -- 10 Test of Faith
	{ tree = 2, branch = 25,	coefficient = 0.02 }, -- 11 Divine Providence
	{ tree = 3, branch = 5,		coefficient = 0.03 }, -- 12 Improved SW:P
	{ tree = 3, branch = 18,	coefficient = 0.02 }, -- 13 Darkness
	{ tree = 3, branch = 19,	coefficient = 0.15 }, -- 14 Shadow Form (assumed active)
	{ tree = 3, branch = 22,	coefficient = 0.05 }, -- 15 Misery
	{ tree = 3, branch = 26,	coefficient = 0.02 }, -- 16 Twisted Faith (SW:P assumed active)
	};
end

if (SpellTips.Class == "SHAMAN") then
	SpellTips.Spells = {
	{ school = 1,	bonus = 2.5/3.5, 	talents = {8,9},		name = "Chain Heal",			pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {40,46,54} },
	{ school = 1,	bonus = 0.2, 		talents = {6,8,10},		name = "Earth Shield",			pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {60,70} },
	{ school = 1,	bonus = 0.0216, 		talents = {7},			name = "Healing Stream Totem",	pattern = "to (%d+)",				pattern2 = "yards for (%d+)",	levels = {30,40,50,60,69} },
	{ school = 1,	bonus = 3/3.5, 		talents = {8,11},		name = "Healing Wave",			pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {6,12,18,24,32,40,48,56,60,63,70} },
	{ school = 1,	bonus = 1.5/3.5, 	talents = {8,12},		name = "Lesser Healing Wave",	pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {28,36,44,52,60,66} },
	{ school = 1,	bonus = 1.5/3.5, 	talents = {8},			name = "Riptide",				pattern = "for %d+ to (%d+)",		pattern2 = "for (%d+)",			levels = {} },
	{ school = 1,	bonus = 1/2, 		talents = {8},			name = "Riptide",				pattern = "another %d+ to (%d+)",	pattern2 = "another (%d+)",		levels = {} },
	{ school = 3,	bonus = 0.15, 		talents = {2,4},		name = "Fire Nova Totem",		pattern = "to (%d+)",				pattern2 = "inflicts (%d+)",	levels = {22,32,42,52,61,70} },
	{ school = 3,	bonus = 0.1495,		talents = {1,13},		name = "Flame Shock",			pattern = "causing %d+ to (%d+)",	pattern2 = "causing (%d+)",		levels = {18,28,40,52,60,70} },
	{ school = 3,	bonus = 0.5209,		talents = {1,5},		name = "Flame Shock",			pattern = "and %d+ to (%d+)",		pattern2 = "and (%d+)",			levels = {18,28,40,52,60,70} },
	{ school = 3,	bonus = 0.10,		talents = {},			name = "Flametongue Weapon",	pattern = "to (%d+)",				pattern2 = "causes (%d+)",		levels = {18,26,36,46,56,64} },
	{ school = 3,	bonus = 2/3.5,		talents = {1,3,15},		name = "Lava Burst",			pattern = "to (%d+)",				pattern2 = "dealing (%d+)",		levels = {} },
	{ school = 3,	bonus = 0.32, 		talents = {2},			name = "Magma Totem",			pattern = "to (%d+)",				pattern2 = "causes (%d+)",		levels = {36,46,56,65} },
	{ school = 3,	bonus = 0.08, 		talents = {2},			name = "Searing Totem",			pattern = "to (%d+)",				pattern2 = "yards for (%d+)",	levels = {20,30,40,50,60,69} },
	{ school = 5,	bonus = 0.10,		talents = {},			name = "Frostbrand Weapon",		pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {28,38,48,58,66} },
	{ school = 5,	bonus = 0.4071,		talents = {1,13},		name = "Frost Shock",			pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {34,46,58,68} },
	{ school = 4,	bonus = 2.5/3.5,	talents = {1,14},		name = "Chain Lightning",		pattern = "to (%d+)",				pattern2 = "dealing (%d+)",		levels = {40,48,56,63,70} },
	{ school = 4,	bonus = 0.4071,		talents = {1},			name = "Earth Shock",			pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {8,14,24,36,48,60,69} },
	{ school = 4,	bonus = 3/3.5,		talents = {1},			name = "Lightning Bolt",		pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {8,14,20,26,32,38,44,50,56,62,67} },
	{ school = 4,	bonus = 1,			talents = {6},			name = "Lightning Shield",		pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {16,24,32,40,48,56,63,70} },
	{ school = 4,	bonus = 1.5/7,		talents = {1},			name = "Thunderstorm",			pattern = "to (%d+)",				pattern2 = "deals (%d+)",		levels = {} },
	};

	SpellTips.Talents = {
	{ tree = 1, branch = 2,		coefficient = 0.01 }, -- 1 Concussion
	{ tree = 1, branch = 5,		coefficient = 0.05 }, -- 2 Call of Flame (Fire Totems)
	{ tree = 1, branch = 5,		coefficient = 0.0 }, -- 3 Call of Flame (Lava Burst)
	{ tree = 1, branch = 9,		coefficient = 0.10 }, -- 4 Improved Fire Nova Totem
	{ tree = 1, branch = 17,	coefficient = 0.20 }, -- 5 Storm, Earth and Fire
	{ tree = 2, branch = 6,		coefficient = 0.05 }, -- 6 Improved Shields
	{ tree = 3, branch = 10,	coefficient = 0.05 }, -- 7 Restorative Totems
	{ tree = 3, branch = 14,	coefficient = 0.02 }, -- 8 Purification
	{ tree = 3, branch = 20,	coefficient = 0.0 }, -- 9 Improved Chain Heal
	{ tree = 3, branch = 24,	coefficient = 0.00 }, -- 10 Improved Earth Shield
	{ tree = 3, branch = 25,	coefficient = 0.00 }, -- 11 Tidal Waves (Healing Wave)
	{ tree = 3, branch = 25,	coefficient = 0.00 }, -- 12 Tidal Waves (Lesser Healing Wave)
	{ tree = 1, branch = 18,	coefficient = 0.0 }, -- 13 Booming Echoes
	{ tree = 1, branch = 24,	coefficient = 0.0 }, -- 14 Shamanism (LB/CL)
	{ tree = 1, branch = 24,	coefficient = 0.0 }, -- 15 Shamanism (Lava Burst)
	};
end

if (SpellTips.Class == "PALADIN") then
	SpellTips.Spells = {
	{ school = 1,	bonus = 1.5/3.5, 	talents = {2},				name = "Flash of Light",		pattern = "to (%d+)",			pattern2 = "for (%d+)",			levels = {26,34,42,50,58,66} },
	{ school = 1,	bonus = 2.5/3.5, 	talents = {2},				name = "Holy Light",			pattern = "to (%d+)",			pattern2 = "for (%d+)",			levels = {6,14,22,30,38,46,54,60,62,70} },
	{ school = 1,	bonus = 0.40, 		talents = {0},				name = "Sacred Shield",			pattern = "absorbing (%d+)",									levels = {} },
	{ school = 2,	bonus = 0.07,		talents = {3,4,5,7,8},		name = "Avenger's Shield",		pattern = "dealing %d+ to (%d+)",	pattern2 = "dealing (%d+)",		levels = {60,70} },
	{ school = 2,	bonus = 0.32,		talents = {3,5,6,7,8},		name = "Consecration",			pattern = "to (%d+)",			pattern2 = "doing (%d+)",		levels = {30,40,50,60,70} },
	{ school = 2,	bonus = 0.15,		talents = {3,5,6,7,8},		name = "Exorcism",				pattern = "to (%d+)",			pattern2 = "Causes (%d+)",		levels = {28,36,44,52,60,68} },
	{ school = 2,	bonus = 0.15,		talents = {3,5,6,7,8},		name = "Hammer of Wrath",		pattern = "to (%d+)",			pattern2 = "for (%d+)",			levels = {52,60,68} },
	{ school = 2,	bonus = 0.09,		talents = {3,4,5,7,8},		name = "Holy Shield",			pattern = "to (%d+)",			pattern2 = "deals (%d+)",		levels = {50,60,70} },
	{ school = 2,	bonus = 0.07,		talents = {3,5,6,7,8},		name = "Holy Wrath",			pattern = "to (%d+)",			pattern2 = "causing (%d+)",		levels = {60,69} },
--	{ school = 2,	bonus = 1.5/3.5,	talents = {3,5,6,7,8},		name = "Seal of Blood",			pattern = "to (%d+)",			pattern2 = "causing (%d+)",		levels = {} },
--	{ school = 2,	bonus = 1.5/3.5,	talents = {3,5,6,7,8},		name = "Seal of the Martyr",	pattern = "to (%d+)",			pattern2 = "causing (%d+)",		levels = {} },
--	{ school = 2,	bonus = 0.1,		talents = {1,3,5,6,7,8},	name = "Seal of Righteousness",	pattern = "%d+ to (%d+)",		pattern2 = "additional (%d+)",	levels = {10,18,26,34,42,50,58,66} },
--	{ school = 2,	bonus = 0.8,		talents = {1,3,5,6,7,8},	name = "Seal of Righteousness",	pattern = "%d+ to (%d+)",		pattern2 = "cause (%d+)",		levels = {10,18,26,34,42,50,58,66} },
--	{ school = 2,	bonus = 0.2,		talents = {1,3,5,6,7,8},	name = "Seal of Vengeance",		pattern = "to (%d+) Holy",		pattern2 = "cause (%d+)",		levels = {} },
--	{ school = 2,	bonus = 0.2,		talents = {1,3,5,6,7,8},	name = "Seal of Vengeance",		pattern = "causing %d+ to (%d+)",	pattern2 = "causing (%d+)",		levels = {} },
--	{ school = 2,	bonus = 0.2,		talents = {1,3,5,6,7,8},	name = "Seal of Corruption",	pattern = "to (%d+) Holy",		pattern2 = "cause (%d+)",		levels = {} },
--	{ school = 2,	bonus = 0.2,		talents = {1,3,5,6,7,8},	name = "Seal of Corruption",	pattern = "causing %d+ to (%d+)",	pattern2 = "causing (%d+)",		levels = {} },
                                                                                                                                                                              
	{ school = 2,	bonus = 1.5/3.5,	talents = {2,3,5,6,7,8},	name = "Holy Shock",			pattern = "causing %d+ to (%d+)",	pattern2 = "causing (%d+)",		levels = {48,56,64,70} },
	{ school = 1,	bonus = 1.5/3.5,	talents = {2},				name = "Holy Shock",			pattern = "or %d+ to (%d+)",		pattern2 = "or (%d+)",			levels = {48,56,64,70} },
	};                                                       

	SpellTips.Talents = {
	{ tree = 1, branch = 2,		coefficient = 0.03 }, -- 1 Seals of the Pure
	{ tree = 1, branch = 3,		coefficient = 0.04 }, -- 2 Healing Light
	{ tree = 2, branch = 15,	coefficient = 0.02 }, -- 3 1h Specialization (assumed active)
	{ tree = 2, branch = 23,	coefficient = 0.10 }, -- 4 Shield of the Templar
	{ tree = 3, branch = 12,	coefficient = 0.01 }, -- 5 Crusade (only counting generic damage gain)
	{ tree = 3, branch = 13,	coefficient = 0.02 }, -- 6 2h Specialization (assumed active)
	{ tree = 3, branch = 14,	coefficient = 0.03 }, -- 7 Sanctified Retribution (assumed active)
	{ tree = 3, branch = 16,	coefficient = 0.03 }, -- 8 Vengeance (assumed active)
	{ tree = 3, branch = 18,	coefficient = 0.05 }, -- 9 The Art of War
	};
end

if (SpellTips.Class == "DRUID") then
	SpellTips.Spells = {
	{ school = 1,	bonus = 3.5/3.5,	talents = {11,12},			name = "Healing Touch",		pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {1,8,14,20,26,32,38,44,50,56} },
	{ school = 1,	bonus = 7/15,		talents = {1,4,11,13},		name = "Lifebloom",			pattern = "target for %d+ to (%d+)",pattern2 = "target for (%d+)",	levels = {} },
	{ school = 1,	bonus = 1.5/3.5,	talents = {11},				name = "Lifebloom",			pattern = "themself for %d+ to (%d+)",pattern2 = "themself for (%d+)",	levels = {} },
	{ school = 1,	bonus = 15/42,		talents = {11},				name = "Nourish",			pattern = "%d+ to (%d+)",			pattern2 = "for (%d+)",			levels = {} },
	{ school = 1,	bonus = 0.1865,		talents = {11},				name = "Regrowth",			pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {18,24,30,36,42,48,54,60,65} },
	{ school = 1,	bonus = 0.6363,		talents = {1,4,11,13},		name = "Regrowth",			pattern = "another %d+ to (%d+)",	pattern2 = "another (%d+)",		levels = {18,24,30,36,42,48,54,60,65} },
	{ school = 1,	bonus = 12/15,		talents = {1,4,10,11,13},	name = "Rejuvenation",		pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {10,16,22,28,34,40,46,52,58,60,63,69} },
	{ school = 1,	bonus = 0.33,		talents = {1,11,13},		name = "Tranquility",		pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {40,50,60,70} },
	{ school = 1,	bonus = 1.5/3.5,	talents = {1,11,13},		name = "Wild Growth",		pattern = "%d+ to (%d+)",			pattern2 = "for (%d+)",			levels = {} },
	{ school = 7,	bonus = 0.1495,		talents = {2,6},			name = "Moonfire",			pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {10,16,22,28,34,40,46,52,58,63,70} },
	{ school = 7,	bonus = 0.5209,		talents = {1,2,4,6},		name = "Moonfire",			pattern = "additional %d+ to (%d+)",pattern2 = "additional (%d+)",	levels = {10,16,22,28,34,40,46,52,58,63,70} },
	{ school = 7,	bonus = 0.02,		talents = {1},				name = "Starfall",			pattern = "dealing %d+ to (%d+)",	pattern2 = "dealing (%d+)",		levels = {} },
	{ school = 7,	bonus = 0.005,		talents = {1},				name = "Starfall",			pattern = "causes %d+ to (%d+)",	pattern2 = "causes (%d+)",		levels = {} },
	{ school = 7,	bonus = 1,			talents = {6,7},			name = "Starfire",			pattern = "to (%d+)",				pattern2 = "Causes (%d+)",		levels = {26,34,42,50,58,60,67} },
	{ school = 4,	bonus = 0.4071,		talents = {1,3},			name = "Entangling Roots",	pattern = "to (%d+)",				pattern2 = "causes (%d+)",		levels = {18,28,38,48,58,68} },
	{ school = 4,	bonus = 0.3166,		talents = {1,9},			name = "Hurricane",			pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {50,60,70} },
	{ school = 4,	bonus = 12/15/0.95,	talents = {1,4},			name = "Insect Swarm",		pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {30,40,50,60,70} },
	{ school = 4,	bonus = 0.195,		talents = {9},				name = "Typhoon",			pattern = "to (%d+)",				pattern2 = "does (%d+)",		levels = {} },
	{ school = 4,	bonus = 2/3.5,		talents = {5,6,8},			name = "Wrath",				pattern = "to (%d+)",				pattern2 = "Causes (%d+)",		levels = {6,14,22,30,38,46,54,61,69} },
	};

	SpellTips.Talents = {
	{ tree = 1, branch = 2,		coefficient = 0.01 }, -- 1 Genesis
	{ tree = 1, branch = 5,		coefficient = 0.02 }, -- 2 Improved Moonfire
	{ tree = 1, branch = 5,		coefficient = 0.0 }, -- 3 Brambles
	{ tree = 1, branch = 8,		coefficient = 0.0 }, -- 4 Nature's Splendor
	{ tree = 1, branch = 14,	coefficient = 0.00 }, -- 5 Improved Insect Swarm
	{ tree = 1, branch = 15,	coefficient = 0.02 }, -- 6 Moonfury
	{ tree = 1, branch = 22,	coefficient = 0.04 }, -- 7 Wrath of Cenarius starfire
	{ tree = 1, branch = 22,	coefficient = 0.02 }, -- 8 Wrath of Cenarius wrath
	{ tree = 1, branch = 26,	coefficient = 0.15 }, -- 9 Gale Winds
	{ tree = 3, branch = 10,	coefficient = 0.05 }, -- 10 Improved Rejuvenation
	{ tree = 3, branch = 12,	coefficient = 0.02 }, -- 11 Gift of Nature
	{ tree = 3, branch = 16,	coefficient = 0.10 }, -- 12 Empowered Touch
	{ tree = 3, branch = 20,	coefficient = 0.04 }, -- 13 Empowered Rejuvenation
	};
end

if (SpellTips.Class == "WARLOCK") then
	SpellTips.Spells = {
	{ school = 1,	bonus = 0.45,		talents = {},				name = "Health Funnel",		pattern = "to (%d+)",				pattern2 = "Gives (%d+)",		levels = {} },
	{ school = 3,	bonus = 2.5/3.5,	talents = {9,10,12,13,16},		name = "Chaos Bolt",		pattern = "to (%d+)",				pattern2 = "dealing (%d+)",		levels = {} },
	{ school = 3,	bonus = 1.5/3.5,	talents = {9,10,12,16},		name = "Conflagrate",		pattern = "to (%d+)",				pattern2 = "dealing (%d+)",		levels = {48,54,60,65,70} },
	{ school = 3,	bonus = 3.5/3.5/3,		talents = {9,10,12,16},		name = "Hellfire",			pattern = "causing %d+ to (%d+)",	pattern2 = "causing (%d+)",		levels = {30,42,54,68} },
	{ school = 3,	bonus = 0.022,	talents = {9,10,12,16},		name = "Hellfire",			pattern = "and %d+ to (%d+)",		pattern2 = "and (%d+)",			levels = {30,42,54,68} },
	{ school = 3,	bonus = 0.1865,	talents = {9,10,11,12,14,16},	name = "Immolate",			pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {10,20,30,40,50,60,60,69} },
	{ school = 3,	bonus = 0.6363,		talents = {9,10,12,14,16},		name = "Immolate",			pattern = "additional %d+ to (%d+)",pattern2 = "additional (%d+)",	levels = {10,20,30,40,50,60,60,69} },
	{ school = 3,	bonus = 2.5/3.5,	talents = {9,10,12,13,16},		name = "Incinerate",		pattern = "Deals %d+ to (%d+)",		pattern2 = "Deals (%d+)",		levels = {70} },
	{ school = 3,	bonus = 3.5/3.5/3,		talents = {9,10,12,16},		name = "Rain of Fire",		pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {34,46,58,69} },
	{ school = 3,	bonus = 1.5/3.5,	talents = {9,10,12,16},		name = "Searing Pain",		pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {26,34,42,50,58,65,70} },
	{ school = 3,	bonus = 3.5/3.5,	talents = {9,10,12,16},		name = "Soul Fire",			pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {56,64,70} },
	{ school = 6,	bonus = 18/15,		talents = {2,3,4,5,6,9,15,16},	name = "Corruption",		pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {14,24,34,44,54,60,65} },
	{ school = 6,	bonus = 15/15,		talents = {1,4,5,9,16},		name = "Curse of Agony",	pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {18,28,38,48,58,67} },
	{ school = 6,	bonus = 15/15,		talents = {4,9,16},			name = "Curse of Doom",		pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {70} },
	{ school = 6,	bonus = 0.96,		talents = {},				name = "Dark Pact",			pattern = "to (%d+)",				pattern2 = "Drains (%d+)",		levels = {50,60,70} },
	{ school = 6,	bonus = 1.5/3.5/2,		talents = {4,9,16},			name = "Death Coil",		pattern = "to (%d+)",				pattern2 = "causes (%d+)",		levels = {50,58,68} },
	{ school = 6,	bonus = 3.5/3.5/2,		talents = {4,9,16},			name = "Drain Life",		pattern = "to (%d+)",				pattern2 = "Transfers (%d+)",		levels = {22,30,38,46,54,62,69} },
	{ school = 6,	bonus = 15/15,		talents = {4,9,16},			name = "Drain Soul",		pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {24,38,52,67} },
	{ school = 6,	bonus = 1.5/3.5,	talents = {4,9,16},			name = "Haunt",				pattern = "to (%d+)",				pattern2 = "dealing (%d+)",		levels = {} },
--	{ school = 6,	bonus = 2.5/3.5,	talents = {},				name = "Life Tap",			pattern = "(%d+) health",											levels = {16,26,36,46,56,68} },
--	{ school = 6,	bonus = 2.5/3.5,	talents = {},				name = "Life Tap",			pattern = "(%d+) mana",												levels = {16,26,36,46,56,68} },
	{ school = 6,	bonus = 1.5,		talents = {4,5,9,15,16},		name = "Seed of Corruption",	pattern = "causing %d+ to (%d+)",	pattern2 = "causing (%d+)",		levels = {} },
	{ school = 6,	bonus = 1.5/7,		talents = {4,5,9,16},			name = "Seed of Corruption",	pattern = "inflict %d+ to (%d+)",	pattern2 = "inflict (%d+)",		levels = {} },
	{ school = 6,	bonus = 3/3.5,		talents = {4,9,13,16},			name = "Shadow Bolt",		pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {6,12,20,28,36,44,52,60,60,69} },
	{ school = 6,	bonus = 0.195,		talents = {4,9,16},			name = "Shadow Fury",		pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {60,70} },
	{ school = 6,	bonus = 1.5/3.5,	talents = {4,9,16},			name = "Shadowburn",		pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {24,32,40,48,56,63,70} },
	{ school = 6,	bonus = 15/15/2,		talents = {4,6,9},			name = "Siphon Life",		pattern = "to (%d+)",				pattern2 = "Transfers (%d+)",		levels = {38,48,58,63,70} },
	{ school = 6,	bonus = 1.2,		talents = {4,6,9,15,16},		name = "Unstable Affliction",	pattern = "causing %d+ to (%d+)",	pattern2 = "causing (%d+)",		levels = {60,70} },
	{ school = 6,	bonus = 1.8,		talents = {16},				name = "Unstable Affliction",	pattern = "cause %d+ to (%d+)",	pattern2 = "cause (%d+)",		levels = {60,70} },

	{ school = 6,	bonus = 2/3.5/3,	talents = {4,9,16},			name = "Shadowflame",		pattern = "take %d+ to (%d+)",		pattern2 = "take (%d+)",		levels = {} },
	{ school = 3,	bonus = 8/15/2,		talents = {4,10,12,9,16},		name = "Shadowflame",		pattern = "additional %d+ to (%d+)",pattern2 = "additional (%d+)",	levels = {} },
	};

	SpellTips.Talents = {
	{ tree = 1, branch = 1,		coefficient = 0.05 }, -- 1 Improved Curse of Agony
	{ tree = 1, branch = 3,		coefficient = 0.02 }, -- 2 Improved Corruption
	{ tree = 1, branch = 13,	coefficient = 0.12 }, -- 3 Empowered Corruption
	{ tree = 1, branch = 18,	coefficient = 0.03 }, -- 4 Shadow Mastery
	{ tree = 1, branch = 20,	coefficient = 0.01 }, -- 5 Contagion
	{ tree = 1, branch = 27,	coefficient = 0.01 }, -- 6 Everlasting Affliction
	{ tree = 2, branch = 2,		coefficient = 0.10 }, -- 7 Improved Imp
	{ tree = 2, branch = 11,	coefficient = 0.04 }, -- 8 Unholy Power
	{ tree = 2, branch = 25,	coefficient = 0.01 }, -- 9 Demonic Empathy
	{ tree = 3, branch = 4,		coefficient = 0.10 }, -- 10 Molten Core
	{ tree = 3, branch = 13,	coefficient = 0.10 }, -- 11 Improved Immolate
	{ tree = 3, branch = 16,	coefficient = 0.03 }, -- 12 Emberstorm
	{ tree = 3, branch = 20,	coefficient = 0.04 }, -- 13 Shadow and Flame
	{ tree = 3, branch = 25,	coefficient = 0.03 }, -- 14 Fire and Brimstone
	{ tree = 1, branch = 15,	coefficient = 0.05 }, -- 15 Siphon Life
	{ tree = 1, branch = 23,	coefficient = 0.01 }, -- 16 Malediction
	};
end

if (SpellTips.Class == "MAGE") then
	SpellTips.Spells = {
	{ school = 7,	bonus = 1.5/3.5,	talents = {2,5},			name = "Arcane Barrage",	pattern = "causing %d+ to (%d+)",	pattern2 = "causing (%d+)",		levels = {} },
	{ school = 7,	bonus = 2.5/3.5,	talents = {2,4,5},		name = "Arcane Blast",		pattern = "dealing %d+ to (%d+)",	pattern2 = "dealing (%d+)",		levels = {} },
	{ school = 7,	bonus = 1.5/3.5/3,		talents = {1,2,5},			name = "Arcane Explosion",	pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {22,30,38,46,54,62,70} },
	{ school = 7,	bonus = 3.5/3.5,		talents = {2,3,5},			name = "Arcane Missiles",	pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {16,24,32,40,48,56,60,63} },
	{ school = 7,	bonus = 0.80,		talents = {},				name = "Mana Shield",		pattern = "Absorbs (%d+) damage",									levels = {20,28,36,44,52,60,68} },
	{ school = 3,	bonus = 0.1357,		talents = {2,5,6},		name = "Blast Wave",		pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {36,44,52,60,65,70} },
	{ school = 3,	bonus = 0.195,		talents = {2,5,6},			name = "Dragon\'s Breath",	pattern = "to (%d+)",				pattern2 = "take (%d+)",		levels = {56,64,70} },
	{ school = 3,	bonus = 1,			talents = {2,5,6,7},		name = "Fireball",			pattern = "causes %d+ to (%d+)",	pattern2 = "causes (%d+)",		levels = {6,12,18,24,30,36,42,48,54,60,60,66} },
	{ school = 3,	bonus = 1.5/3.5,	talents = {2,5,6},		name = "Fire Blast",		pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {14,22,30,38,46,54,61,70} },
	{ school = 3,	bonus = 0.1761,		talents = {2,5,6},			name = "Flamestrike",		pattern = "for %d+ to (%d+)",		pattern2 = "for (%d+)",			levels = {24,32,40,48,56,64} },
	{ school = 3,	bonus = 0.0681,		talents = {2,5,6},			name = "Flamestrike",		pattern = "additional %d+ to (%d+)",pattern2 = "additional (%d+)",	levels = {24,32,40,48,56,64} },
	{ school = 3,	bonus = 12/15,		talents = {2,5,6},			name = "Living Bomb",		pattern = "taking %d+ to (%d+)",	pattern2 = "taking (%d+)",		levels = {} },
	{ school = 3,	bonus = 0.40,		talents = {2,5,6},			name = "Living Bomb",		pattern = "dealing %d+ to (%d+)",	pattern2 = "dealing (%d+)",		levels = {} },
	{ school = 3,	bonus = 1,		talents = {2,5,6},			name = "Pyroblast",			pattern = "causes %d+ to (%d+)",	pattern2 = "causes (%d+)",		levels = {24,30,36,42,48,54,60,66,70} },
	{ school = 3,	bonus = 0.175,		talents = {2,5,6},			name = "Pyroblast",			pattern = "additional %d+ to (%d+)",pattern2 = "additional (%d+)",	levels = {24,30,36,42,48,54,60,66,70} },
	{ school = 3,	bonus = 1.5/3.5,	talents = {2,5,6},		name = "Scorch",			pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {28,34,40,46,52,58,65,70} },
	{ school = 5,	bonus = 0.33,		talents = {2,5,8,10},		name = "Blizzard",			pattern = "to (%d+)",				pattern2 = "doing (%d+)",		levels = {28,36,44,52,60,68} },
	{ school = 5,	bonus = 0.1357,		talents = {2,5,8,9,10},	name = "Cone of Cold",		pattern = "to (%d+)",				pattern2 = "take (%d+)",		levels = {34,42,50,58,65} },
	{ school = 5,	bonus = 0.1357,		talents = {2,5,8,10},		name = "Frost Nova",		pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {26,40,54,67} },
	{ school = 5,	bonus = 0.814,		talents = {2,5,8,10,11,12},	name = "Frostbolt",			pattern = "to (%d+)",				pattern2 = "causing (%d+)",		levels = {8,14,20,26,32,38,44,50,56,60,63,69} },
	{ school = 5,	bonus = 0.1,		talents = {},				name = "Ice Barrier",		pattern = "to (%d+)",				pattern2 = "absorbing (%d+)",	levels = {46,52,58,64,70} },
	{ school = 5,	bonus = 0.15,		talents = {2,5,8,10,12},	name = "Ice Lance",			pattern = "to (%d+)",				pattern2 = "Deals (%d+)",		levels = {} },
	{ school = 5,	bonus = 5/18,		talents = {},				name = "Waterbolt",			pattern = "to (%d+)",				pattern2 = "Deals (%d+)",		levels = {} },
	{ school = 5,	bonus = 0.01,		talents = {},				name = "Freeze",			pattern = "to (%d+)",				pattern2 = "for (%d+)",			levels = {} },

	-- Frostfire Bolt
	{ school = 3,	bonus = 3/3.5,		talents = {2,5,6,7,8,10,12},	name = "Frostfire Bolt",	pattern = "to (%d+)",			pattern2 = "causing (%d+)",		levels = {} },
	};

	SpellTips.Talents = {
	{ tree = 1, branch = 8,		coefficient = 0.02 }, -- 1 Improved Arcane Explosion
	{ tree = 1, branch = 15,	coefficient = 0.01 }, -- 2 Arcane Instability
	{ tree = 1, branch = 21,	coefficient = 0.15 }, -- 3 Arcane Empowerment (Missiles)
	{ tree = 1, branch = 21,	coefficient = 0.03 }, -- 4 Arcane Empowerment (Blast)
	{ tree = 2, branch = 21,	coefficient = 0.01 }, -- 5 Playing with Fire
	{ tree = 2, branch = 15,	coefficient = 0.02 }, -- 6 Fire Power
	{ tree = 2, branch = 21,	coefficient = 0.05 }, -- 7 Empowered Fireball
	{ tree = 3, branch = 8,		coefficient = 0.02 }, -- 8 Piercing Ice
	{ tree = 3, branch = 15,	coefficient = 0.12 }, -- 9 Improved Cone of Cold (really goes 15/25/35)
	{ tree = 3, branch = 21,	coefficient = 0.01 }, -- 10 Arctic Winds
	{ tree = 3, branch = 22,	coefficient = 0.05 }, -- 11 Empowered Frostbolt
	{ tree = 3, branch = 27,	coefficient = 0.01 }, -- 12 Chilled to the Bone
	};
end


